:Wait
 setlocal
 if "%1" equ "" goto :myEnd
 set waitTime=
 set waitTime=%~1
 set waitTitel=%~2
 if "%waitTitel%" neq "" (
 Echo - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
 Echo %waitTitel%
 )
 Wait.exe %waitTime% ESC "wait:[%waitTime%] or push 'ESC'-key to continue"
:myEnd
 endlocal
goto :eof
